<?php
/*
    pmacct-fe is Copyright (C) 2005 by Paolo Lucente

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

@define('PFE_BASE', dirname(__FILE__));
@define('PFE_TEMPLATES', dirname(__FILE__) . '/templates');
@define('HORDE_BASE', dirname(__FILE__) . '/..');
require_once HORDE_BASE . '/lib/base.php';
require_once PFE_BASE . '/config/conf.php';

/* User has not logged in before; just go to the login page. */
if (!Auth::isAuthenticated()) {
    Horde::authenticationFailureRedirect();
}

require PFE_TEMPLATES . '/common-header.inc';
require_once PFE_BASE . '/Layoutfuncs.php';

if (!Util::GetFormData('ip')) {
    HandleReportFormError();
    require PFE_TEMPLATES . '/footer.inc';
    exit();
}

?>

<table style="background-color: #f5f5f5; border: 1px solid #999; width: 97%; margin: 5px;">
<tr><td>IP address: <?php print Util::getFormData('ip') ?></td></tr>
<tr><td>Hostname:
<?php 
    ob_start();
    $result = gethostbyaddr(Util::getFormData('ip')); 
    ob_end_clean();
    print $result;
?>
</td></tr>
</table>

</body>
</html>

