<?php
/*
    pmacct-fe is Copyright (C) 2005 by Paolo Lucente

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

function ValidateDateFormat(&$Date)
{
    $res = FALSE;

    $res = strtotime($Date);
    return $res;
}

function ValidateStringLight(&$String)
{
    $res = FALSE;

    /* List of banned chars; we basically signal an error whether
       we suspect a not-allowed string concatenation */
    if (strstr($String, "'")) $res = -1;
    if (strstr($String, "\"")) $res = -1;

    return $res;
}

function ValidateObsPoint(&$RequestedObsPoint)
{
    $SelectedObsPoint = FALSE;

    $SelectedObsPoint = SelectObsPoint($RequestedObsPoint);
    if (!isset($SelectedObsPoint['id'])) return -1;

    return FALSE;
}

function ValidateCapability(&$RequestedCapability, $user, $RequestedObsPoint)
{
    $SelectedObsPoint = FALSE;

    $SelectedObsPoint = SelectObsPoint($RequestedObsPoint);
    if (!isset($SelectedObsPoint['id'])) return -1; 

    GetCapabilities($user, $SelectedObsPoint, $Capabilities);
    if (!isset($Capabilities[0])) return -1;

    foreach($Capabilities as $row) {
        if (trim($row['object']) == $RequestedCapability) return FALSE;
    }

    return -1;
}

function ValidateReportNo1(&$ReportPrefs, $ReportType)
{
    /* XXX: no validation required; an example follows */
/*
    if (condition) {
	Horde::logMessage($ErrorMsg, __FILE__, __LINE__, PEAR_LOG_ERR);
	return -1;
    }

*/

    return 0;
}
